searchData={"items":[{"type":"module","title":"DeceptionRouter","doc":"DeceptionRouter forward your bots here forever","ref":"DeceptionRouter.html"},{"type":"function","title":"DeceptionRouter.call/2","doc":"","ref":"DeceptionRouter.html#call/2"},{"type":"function","title":"DeceptionRouter.init/1","doc":"","ref":"DeceptionRouter.html#init/1"},{"type":"extras","title":"DeceptionRouter","doc":"# DeceptionRouter\n\nDeceptionRouter is a Plug router that will infinitely loop a web crawler, scanners,\nand directory fuzzers.\n\nThis type of tool is created to aid in cyber deception primarily by wasting time\nand resources of an attacker. Moreover, logs to these routes and be an alert\nthat some is trying to attack your systems.\n\nThis is useful to create honey pots in your system or add this to your main\napplication to keep scanners stuck.\n\nThis is inspired by the python library [spidertrap](https://github.com/adhdproject/spidertrap).","ref":"readme.html"},{"type":"extras","title":"Installation - DeceptionRouter","doc":"```elixir\ndef deps do\n  [\n    {:deception_router, \"~> 1.0\"},\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - DeceptionRouter","doc":"```elixir\ndefmodule MyApp.Router do\n\n  # routes and stuff\n\n  # At the very bottom\n  scope \"/\" do\n   match(:*, \"/*\", DeceptionRouter, [])\n  end\nend\n```\n\nIf you want to target bots as all bots will scan for the an `admin` route you\ncan do this:\n\n```elixir\ndefmodule MyApp.Router do\n\n  # routes and stuff\n\n  # At the very bottom\n  scope \"/\" do\n   match(:*, \"/admin/*sinkhole\", DeceptionRouter, [])\n  end\nend\n```\n\nTo test in command line:\n\n```\nwget -m http://localhost:4000\n```","ref":"readme.html#usage"},{"type":"extras","title":"Future ideas - DeceptionRouter","doc":"This should all be runtime configuration items.\n\n- custom word list\n- generative text to make content lengths harder to filter on in this tools\n- telemetry support\n- custom logging\n- jitter\n- random 404s\n- app level rate limiting","ref":"readme.html#future-ideas"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v1.0.0 - CHANGELOG","doc":"Initial release","ref":"changelog.html#v1-0-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}